#include <bits/stdc++.h>
using namespace std;

void solve ()
{
    int n;
    cin>>n;
    vector <int> a(n);
    for (int i = 0; i < n; i++)
        cin >> a[i];
    
    sort (a.begin(),a.end());

    vector <int> v;
    v.push_back(a[n-1]);
    v.push_back(a[n-3]);
    a.erase(lower_bound (a.begin(), a.end(), a[n-1]));
    a.erase(lower_bound (a.begin(), a.end(), a[n-3]));

    for (int i = 2; i < n; i++)
    {
      /*  for (auto z : a)
        cout << z << " ";
        cout << endl;
*/
        int x = lower_bound (a.begin(), a.end(), v[i-1]*2-v[i-2])-a.begin();
        if (x > a.size()-1)
        {
            cout << "NO" << endl;
            return;
        }
       // cout << x << " " << a[x] << " " << v[i-2] << " " << v[i-1]*2 << endl;
        if (a[x]+v[i-2] < v[i-1]*2)
        {
            cout << "NO" << endl;
            return;
        }
        v.push_back(a[x]);
        a.erase(lower_bound (a.begin(), a.end(), v[i-1]*2-v[i-2]));
    }

    cout << "YES" << endl;
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int t;
    cin >> t;

    while (t--)
    {
        solve();
    }
}
